import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { AbstractControl, FormGroup } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { MatomoService, RegisterStepsCompletedType, TranslateService } from '@aztrix/helpers';
import { ProfileContext } from '@aztrix/models';
import { RegisterService } from '@aztrix/sdk';
import { BehaviorSubject } from 'rxjs';
import { ModeService } from '../services/mode.service';
import * as i0 from "@angular/core";
export declare class RegisterFormComponent implements OnInit, OnChanges {
    private _register;
    private _translationService;
    private _mode;
    private _route;
    private _matomo;
    baseUrl: string;
    form: FormGroup;
    claim: 'username' | 'alistname';
    alistClaimCode?: string;
    loading$: BehaviorSubject<boolean>;
    error$: BehaviorSubject<string | boolean>;
    errorMessage$: import("rxjs").Observable<"register.already.exists" | "register.disabled" | "error.login.invalid.password" | "error.default.title">;
    step: number;
    stepContext: RegisterStepsCompletedType;
    ProfileContext: typeof ProfileContext;
    REGISTER_MINIMUM_AGE: number;
    constructor(_register: RegisterService, _translationService: TranslateService, _mode: ModeService, _route: ActivatedRoute, _matomo: MatomoService, baseUrl: string);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    get passwordForm(): AbstractControl<any, any>;
    get typeForm(): AbstractControl<any, any>;
    get alistNameForm(): AbstractControl<any, any>;
    get legalForm(): AbstractControl<any, any>;
    get propertiesForm(): AbstractControl<any, any>;
    get legalRepresentativeForm(): AbstractControl<any, any>;
    back(): void;
    continue(): void;
    private _formValid;
    private _touch;
    private _stepControls;
    private _propertyForm;
    private _submit;
    static ɵfac: i0.ɵɵFactoryDeclaration<RegisterFormComponent, [null, null, null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RegisterFormComponent, "ax-register-form", never, { "form": "form"; "claim": "claim"; "alistClaimCode": "alistClaimCode"; }, {}, never, never, false, never>;
}
